/******************************************************************************/
/****         Suche nach einer Phrase                                      ****/
/******************************************************************************/

    WITH
    words_1 AS
    (
          /* JOIN fr zu suchendes Wort 1 */
          SELECT "FK_tlw_txt",      /* FK auf Texttabelle          */
                 "CL_tlw_index",    /* Index des Wortes im Text    */
                 "CL_tlw_position"  /* Position des Wortes im Text */
            FROM "words"
                 /* Verkpfung des Wortes mit dem Volltextindex */
      INNER JOIN "text_link_words" ON "FK_tlw_wrd" = "PK_wrd"
                 /* zu suchendes Wort mit LOWER wg. berechnetem Index */
           WHERE LOWER("CL_wrd_word") = 'datenbank'
                 /* in diesem Fall nur ganze Wrter */
             AND "FK_tlw_wty" = 0
    ),
    words_2 AS
    (
          /* JOIN fr zu suchendes Wort 2 */
          SELECT "FK_tlw_txt",      /* FK auf Texttabelle          */
                 "CL_tlw_index",    /* Index des Wortes im Text    */
                 "CL_tlw_position"  /* Position des Wortes im Text */
            FROM "words"
                 /* Verkpfung des Wortes mit dem Volltextindex */
      INNER JOIN "text_link_words" ON "FK_tlw_wrd" = "PK_wrd"
                 /* zu suchendes Wort mit LOWER wg. berechnetem Index */
           WHERE LOWER("CL_wrd_word") = 'firebird'
                 /* in diesem Fall nur ganze Wrter */
             AND "FK_tlw_wty" = 0
    )
    SELECT "PK_txt",      /* PK des Textes */
           "CL_txt_text", /* der Text      */
           /* Liste der gefundenen Indizes fr 'datenbank' im Text */
           LIST(w1."CL_tlw_index"   , ';') AS "CL_tlw_index_1",
           /* Liste der gefundenen Positionen fr 'datenbank' im Text */
           LIST(w1."CL_tlw_position", ';') AS "CL_tlw_position_1",
           /* Liste der gefundenen Indizes fr 'firebird' im Text */
           LIST(w2."CL_tlw_index"   , ';') AS "CL_tlw_index_2",
           /* Liste der gefundenen Positionen 'firebird' im Text */
           LIST(w2."CL_tlw_position", ';') AS "CL_tlw_position_2"
      FROM "texts"
           /* Text mit gesuchtem Wort verkpfen */
INNER JOIN words_1 w1 ON "PK_txt" = w1."FK_tlw_txt"
INNER JOIN words_2 w2 ON "PK_txt" = w2."FK_tlw_txt"
           /* Einschrnkung auf eine Phrase */
     WHERE w1."CL_tlw_index" = w2."CL_tlw_index" - 1
  GROUP BY "PK_txt",
           "CL_txt_text"
